<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>
	<div>
		<a href="./index.html">Go back to previous page..</a>
	</div>
	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>
				HTML Forms are used to gather information/data from our user and send that information to a server.
			</p>
		</section>
		<section>
			<form action="https://google.com">
				<label for="fname">First Name:</label>
				<br>
				<input type="text" name="firstName" id="fname" required autocomplete />
				<br>
				<label for="bday">Birthdate:</label>
				<br>
				<input type="date" name="bdate" id="bday" required>
				<br>
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required>
				<br>
				<label for="genderInput">Gender</label>
				<br>
				<select name=gender id="genderInput">
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Not to Mention</option>					
				</select>
				<br>
				<label for="radioUser1">New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">YES</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">NO</label>
				<br>
				<label>Roles</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="developer">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="developer">
				<label for="roleInput3">Manager</label>
				<br>
				<label for="messageInput">Message</label>
				<br>
				<textarea name="message" id="messageInput" rows="4"></textarea>
				<br><br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>

			</form>


		</section>
	</main>
	
</body>
</html>